{
  lib,
  config,
  pkgs,
  ...
}:

lib.optionalAttrs (lib.elem "nvim::lsp::yaml" config.machine.pkgs) {
  yamlls = {
    cmd = [
      "${pkgs.yaml-language-server}/bin/yaml-language-server"
      "--stdio"
    ];
    settings = {
      yaml = {
        schemaStore = {
          # Disable to use Store from SchemaStore-nvim plugin
          enable = false;
          # Avoid TypeError: Cannot read properties of undefined (reading 'length')
          url = "";
        };
        schemas = _: "require('schemastore').yaml.schemas()";
      };
    };
  };
}
