{
  lib,
  config,
  ...
}:

lib.mkIf (lib.elem "nvim::lualine" config.machine.pkgs) {
  programs.nvim-lazy.lazyPlugins = [
    {
      dir = vPlug: vPlug.lualine-nvim;
      dependencies = (vPlug: with vPlug; [ nvim-web-devicons ]);
      opts = {
        options = {
          icons_enabled = true;
          theme = "auto";
          component_separators = {
            left = "";
            right = "";
          };
          section_separators = {
            left = "";
            right = "";
          };
          disabled_filetypes = {
            statusline = { };
            winbar = { };
          };
          ignore_focus = { };
          always_divide_middle = true;
          globalstatus = false;
          refresh = {
            statusline = 1000;
            tabline = 1000;
            winbar = 1000;
          };
        };
        sections = {
          lualine_a = [ "mode" ];
          lualine_b = [
            "branch"
            "diff"
            "diagnostics"
          ];
          lualine_c = [ "filename" ];
          lualine_x = [
            "encoding"
            "fileformat"
            "filetype"
          ];
          lualine_y = [ "progress" ];
          lualine_z = [ "location" ];
        };
        inactive_sections = {
          lualine_a = [ ];
          lualine_b = [ ];
          lualine_c = [ "filename" ];
          lualine_x = [ "location" ];
          lualine_y = [ ];
          lualine_z = [ ];
        };
        tabline = { };
        winbar = { };
        inactive_winbar = { };
        extensions = { };
      };
    }
    {
      lazy = true;
      dir = vPlug: vPlug.nvim-web-devicons;
    }
  ];
}
