{
  lib,
  config,
  pkgs,
  ...
}:

lib.mkIf (lib.elem "nvim::render-markdown" config.machine.pkgs) {
  programs.nvim-lazy.lazyPlugins = [
    {
      dir = vPlug: vPlug.render-markdown-nvim;
      dependencies = (
        vPlug: with vPlug; [
          nvim-web-devicons
          "nvim-treesitter"
        ]
      );
      opts = {
        completions = {
          blink = {
            enabled = (lib.elem "nvim::blink" config.machine.pkgs);
          };
        };
        latex = {
          converter = "${pkgs.python3Packages.pylatexenc}/bin/latex2text";
        };
      };
    }
  ];
}
