{
  lib,
  config,
  ...
}:

lib.mkIf (lib.elem "nvim::tmux-navigate" config.machine.pkgs) {
  programs.nvim-lazy.lazyPlugins = [
    {
      dir = vPlug: vPlug.vim-tmux-navigator;
      cmd = [
        "TmuxNavigateLeft"
        "TmuxNavigateDown"
        "TmuxNavigateUp"
        "TmuxNavigateRight"
        "TmuxNavigatePrevious"
      ];
      keys = [
        {
          bind = "<M-h>";
          cmd = "<Cmd>TmuxNavigateLeft<CR>";
        }
        {
          bind = "<M-j>";
          cmd = "<Cmd>TmuxNavigateDown<CR>";
        }
        {
          bind = "<M-k>";
          cmd = "<Cmd>TmuxNavigateUp<CR>";
        }
        {
          bind = "<M-l>";
          cmd = "<Cmd>TmuxNavigateRight<CR>";
        }
        {
          bind = "<M-n>";
          cmd = "<Cmd>TmuxNavigateNext<CR>";
        }
        {
          bind = "<M-p>";
          cmd = "<Cmd>TmuxNavigatePrevious<CR>";
        }
      ];
    }
  ];
}
